QTP issues with Firefox browser | firefox with qtp:


QTP issues with Firefox browser | firefox with QTP 9,10:

1. Does firefox 2.0 supports QTP 9.5?
Ans-Yes
Go to Firefox>>tools>>add ons>>Verify that QTP 9.5 plug in is installed and enabled.
Precondition:Automation->Record and run settings->Web is set to record any browser.
NOTE: To run scripts on mozilla firefox,do not include a step that closes a Mozilla Firefox browser.
2.Does QTP 9.5 supports Firefox 3+ version
Ans–>QTP 9.5 does not work with Firefox 3+ latest version.
Some known issues:
•Mozilla Firefox does not supports .Object property for QTP 9.5 Version
•Standard checkpoint on link is also not supported in QTP 9.5 with firefox.
•If more than two versions of firefox are installed on your PC ,QTP does not recognize which  is the latest one.
3.What are the browser(FF) versions supported by QTP 10?
Ans–>IE 6, 7
Firefox 3.0.X
Firefox 3.5 -Check for HP updates..or you can raise an enhancement request with HP support.
Article:Firefox Add ons installation issue with QTP:
Article: QTP 10 and IE 8
QTP patch
Download QTP 10 patch for IE 8:
Download QTP 10 patch for Firefox 3.5:
Thank You!
QTP 9,10 issue with firefox

QTP 9,10 issue with firefox

Advertisements

10 responses to this post.

  1. Posted by Swamy on June 4, 2011 at 2:43 am

    Does QTP 9.5 Recognise Mozilla firefox 4 and Internet Explorer 8 ? Pls somebody help me

    Reply

  2. Posted by Anonymous on August 23, 2011 at 1:18 pm

    Hey,

    I am unable to download the plug-in for firefox 3.6

    Please let me know alternative option.

    Reply

    • Posted by Anonymous on September 11, 2011 at 9:16 am

      Hi

      Can any one help me regarding downloading of QTP 10.00 patches for Mozilla Firefox 3.6 and internet explorer8.

      I found the patch for Mozilla firefox 3.6 , but when i was trying to download it ,it is navigating to HP site and i got registered in HP site but after entering credentials it is again asking for contract id, the contract id i investigated is not accepting.

      So can any one help me for entering valid contract id or send me the QTP 10.00 patches for Mozilla Firefox 3.6 and IE8

      my mail id: manojbabu19353@gmail.com

      Thank You !

      Reply

  3. Posted by Bhakti on December 28, 2011 at 5:03 am

    i want to automate application in Mozilla Firefox. But In QTP 11 Only IE is available in Record and Run setting. Can any body help me..

    Reply

  4. Posted by Bhakti on December 28, 2011 at 5:04 am

    i want to automate application in Mozilla Firefox. But In QTP 11 Only IE is available in Record and Run setting. Can any body help me..

    Reply

  5. Posted by janani on June 14, 2012 at 6:56 am

    HI,
    i have a problem while trying to use QTP for testing a web application. I recorded the following:
    1) Opened the IE7 browser
    2) Typed the url of the application to be tested and the login page appears where i give userid and password to login.
    when i run back this script,the login page gets hanged for 5 to 10 minutes before proceeding with the other steps. i cant figure it out whether the problem is with QTP or with the web application i am testing. Does any body have any idea about this?

    Reply

  6. Posted by janani on June 14, 2012 at 7:00 am

    Hi,
    I am testing the web based Java applications where in it is very difficult to parameterise using Links. There is no options for parameterising such links in key word view of QTP. Does any body have any idea about this?

    Reply

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: